public static interface MailEndpointBuilderFactory.MailBuilders
| Modifier and Type | Method and Description |
|---|---|
default MailEndpointBuilderFactory.MailEndpointBuilder |
imap(String path)
IMAP (camel-mail)
Send and receive emails using imap, pop3 and smtp protocols.
|
default MailEndpointBuilderFactory.MailEndpointBuilder |
imap(String componentName,
String path)
IMAP (camel-mail)
Send and receive emails using imap, pop3 and smtp protocols.
|
default MailEndpointBuilderFactory.MailEndpointBuilder |
imaps(String path)
IMAPS (Secure) (camel-mail)
Send and receive emails using imap, pop3 and smtp protocols.
|
default MailEndpointBuilderFactory.MailEndpointBuilder |
pop3(String path)
POP3 (camel-mail)
Send and receive emails using imap, pop3 and smtp protocols.
|
default MailEndpointBuilderFactory.MailEndpointBuilder |
pop3s(String path)
POP3S (camel-mail)
Send and receive emails using imap, pop3 and smtp protocols.
|
default MailEndpointBuilderFactory.MailEndpointBuilder |
smtp(String path)
SMTP (camel-mail)
Send and receive emails using imap, pop3 and smtp protocols.
|
default MailEndpointBuilderFactory.MailEndpointBuilder |
smtps(String path)
SMTPS (camel-mail)
Send and receive emails using imap, pop3 and smtp protocols.
|
default MailEndpointBuilderFactory.MailEndpointBuilder imap(String path)
imap:host:port
Path parameter: host (required)
The mail server host name
Path parameter: port
The port number of the mail serverpath - host:portdefault MailEndpointBuilderFactory.MailEndpointBuilder imap(String componentName, String path)
imap:host:port
Path parameter: host (required)
The mail server host name
Path parameter: port
The port number of the mail servercomponentName - to use a custom component name for the endpoint
instead of the default namepath - host:portdefault MailEndpointBuilderFactory.MailEndpointBuilder imaps(String path)
imaps:host:port
Path parameter: host (required)
The mail server host name
Path parameter: port
The port number of the mail serverpath - host:portdefault MailEndpointBuilderFactory.MailEndpointBuilder pop3(String path)
pop3:host:port
Path parameter: host (required)
The mail server host name
Path parameter: port
The port number of the mail serverpath - host:portdefault MailEndpointBuilderFactory.MailEndpointBuilder pop3s(String path)
pop3s:host:port
Path parameter: host (required)
The mail server host name
Path parameter: port
The port number of the mail serverpath - host:portdefault MailEndpointBuilderFactory.MailEndpointBuilder smtp(String path)
smtp:host:port
Path parameter: host (required)
The mail server host name
Path parameter: port
The port number of the mail serverpath - host:portdefault MailEndpointBuilderFactory.MailEndpointBuilder smtps(String path)
smtps:host:port
Path parameter: host (required)
The mail server host name
Path parameter: port
The port number of the mail serverpath - host:portApache Camel